Adding upstream version 0.3.2.1+svn20080509.
[debian/lxde-common.git] / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/LXDE.desktop.in \
36 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
37 $(srcdir)/config.h.in $(srcdir)/default.in \
38 $(srcdir)/lxde-logout.in $(srcdir)/openbox-lxde.in \
39 $(srcdir)/startlxde.in $(top_srcdir)/configure \
40 $(top_srcdir)/lxpanel/panel.in $(top_srcdir)/openbox/rc.xml.in \
41 $(top_srcdir)/pcmanfm/main.lxde.in AUTHORS COPYING ChangeLog \
42 INSTALL NEWS compile depcomp install-sh missing
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46 $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
49 mkinstalldirs = $(install_sh) -d
50 CONFIG_HEADER = config.h
51 CONFIG_CLEAN_FILES = startlxde default lxde-logout LXDE.desktop \
52 lxpanel/panel openbox/rc.xml openbox-lxde pcmanfm/main.lxde
53 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" \
54 "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" \
55 "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" \
56 "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" \
57 "$(DESTDIR)$(xsessiondir)"
58 binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
59 SCRIPTS = $(bin_SCRIPTS)
60 SOURCES =
61 DIST_SOURCES =
62 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
63 html-recursive info-recursive install-data-recursive \
64 install-dvi-recursive install-exec-recursive \
65 install-html-recursive install-info-recursive \
66 install-pdf-recursive install-ps-recursive install-recursive \
67 installcheck-recursive installdirs-recursive pdf-recursive \
68 ps-recursive uninstall-recursive
69 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
70 am__vpath_adj = case $$p in \
71 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
72 *) f=$$p;; \
73 esac;
74 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
75 defaultsDATA_INSTALL = $(INSTALL_DATA)
76 imagesDATA_INSTALL = $(INSTALL_DATA)
77 lxpanelDATA_INSTALL = $(INSTALL_DATA)
78 lxpanel_panelDATA_INSTALL = $(INSTALL_DATA)
79 openboxDATA_INSTALL = $(INSTALL_DATA)
80 pcmanfmDATA_INSTALL = $(INSTALL_DATA)
81 wallpapersDATA_INSTALL = $(INSTALL_DATA)
82 xsessionDATA_INSTALL = $(INSTALL_DATA)
83 DATA = $(defaults_DATA) $(images_DATA) $(lxpanel_DATA) \
84 $(lxpanel_panel_DATA) $(openbox_DATA) $(pcmanfm_DATA) \
85 $(wallpapers_DATA) $(xsession_DATA)
86 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
87 distclean-recursive maintainer-clean-recursive
88 ETAGS = etags
89 CTAGS = ctags
90 DIST_SUBDIRS = $(SUBDIRS)
91 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
92 distdir = $(PACKAGE)-$(VERSION)
93 top_distdir = $(distdir)
94 am__remove_distdir = \
95 { test ! -d $(distdir) \
96 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
97 && rm -fr $(distdir); }; }
98 GZIP_ENV = --best
99 DIST_ARCHIVES = $(distdir).tar.bz2
100 distuninstallcheck_listfiles = find . -type f -print
101 distcleancheck_listfiles = find . -type f -print
102 ACLOCAL = @ACLOCAL@
103 AMTAR = @AMTAR@
104 AUTOCONF = @AUTOCONF@
105 AUTOHEADER = @AUTOHEADER@
106 AUTOMAKE = @AUTOMAKE@
107 AWK = @AWK@
108 CC = @CC@
109 CCDEPMODE = @CCDEPMODE@
110 CFLAGS = @CFLAGS@
111 CPP = @CPP@
112 CPPFLAGS = @CPPFLAGS@
113 CYGPATH_W = @CYGPATH_W@
114 DEFS = @DEFS@
115 DEPDIR = @DEPDIR@
116 ECHO_C = @ECHO_C@
117 ECHO_N = @ECHO_N@
118 ECHO_T = @ECHO_T@
119 EGREP = @EGREP@
120 EXEEXT = @EXEEXT@
121 GLIB_CFLAGS = @GLIB_CFLAGS@
122 GLIB_LIBS = @GLIB_LIBS@
123 GREP = @GREP@
124 INSTALL = @INSTALL@
125 INSTALL_DATA = @INSTALL_DATA@
126 INSTALL_PROGRAM = @INSTALL_PROGRAM@
127 INSTALL_SCRIPT = @INSTALL_SCRIPT@
128 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
129 LDFLAGS = @LDFLAGS@
130 LIBOBJS = @LIBOBJS@
131 LIBS = @LIBS@
132 LN_S = @LN_S@
133 LTLIBOBJS = @LTLIBOBJS@
134 MAKEINFO = @MAKEINFO@
135 MKDIR_P = @MKDIR_P@
136 OBJEXT = @OBJEXT@
137 PACKAGE = @PACKAGE@
138 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
139 PACKAGE_NAME = @PACKAGE_NAME@
140 PACKAGE_STRING = @PACKAGE_STRING@
141 PACKAGE_TARNAME = @PACKAGE_TARNAME@
142 PACKAGE_VERSION = @PACKAGE_VERSION@
143 PATH_SEPARATOR = @PATH_SEPARATOR@
144 PKG_CONFIG = @PKG_CONFIG@
145 SET_MAKE = @SET_MAKE@
146 SHELL = @SHELL@
147 STRIP = @STRIP@
148 VERSION = @VERSION@
149 XMKMF = @XMKMF@
150 abs_builddir = @abs_builddir@
151 abs_srcdir = @abs_srcdir@
152 abs_top_builddir = @abs_top_builddir@
153 abs_top_srcdir = @abs_top_srcdir@
154 ac_ct_CC = @ac_ct_CC@
155 am__include = @am__include@
156 am__leading_dot = @am__leading_dot@
157 am__quote = @am__quote@
158 am__tar = @am__tar@
159 am__untar = @am__untar@
160 bindir = @bindir@
161 build_alias = @build_alias@
162 builddir = @builddir@
163 datadir = @datadir@
164 datarootdir = @datarootdir@
165 docdir = @docdir@
166 dvidir = @dvidir@
167 exec_prefix = @exec_prefix@
168 host_alias = @host_alias@
169 htmldir = @htmldir@
170 includedir = @includedir@
171 infodir = @infodir@
172 install_sh = @install_sh@
173 libdir = @libdir@
174 libexecdir = @libexecdir@
175 localedir = @localedir@
176 localstatedir = @localstatedir@
177 mandir = @mandir@
178 mkdir_p = @mkdir_p@
179 oldincludedir = @oldincludedir@
180 pdfdir = @pdfdir@
181 prefix = @prefix@
182 program_transform_name = @program_transform_name@
183 psdir = @psdir@
184 sbindir = @sbindir@
185 sharedstatedir = @sharedstatedir@
186 srcdir = @srcdir@
187 sysconfdir = @sysconfdir@
188 target_alias = @target_alias@
189 top_builddir = @top_builddir@
190 top_srcdir = @top_srcdir@
191 xsesspath = @xsesspath@
192 SUBDIRS = lxde-settings icon-theme man
193 bin_SCRIPTS = startlxde lxde-logout openbox-lxde
194
195 # Currently these paths are hardcoded.
196 xsessiondir = $(xsesspath)
197 xsession_DATA = LXDE.desktop
198 defaultsdir = /etc/xdg/lxsession/LXDE
199 defaults_DATA = default autostart config
200 wallpapersdir = $(datadir)/lxde/wallpapers
201 wallpapers_DATA = \
202 wallpapers/lxde_blue.jpg \
203 wallpapers/lxde_red.jpg \
204 wallpapers/lxde_green.jpg
205
206 imagesdir = $(datadir)/lxde/images
207 images_DATA = \
208 images/logout-banner.png \
209 images/lxde-icon.png
210
211 lxpaneldir = $(datadir)/lxpanel/profile/LXDE
212 lxpanel_DATA = lxpanel/config
213 lxpanel_paneldir = $(datadir)/lxpanel/profile/LXDE/panels
214 lxpanel_panel_DATA = lxpanel/panel
215 openboxdir = $(datadir)/lxde/openbox
216 openbox_DATA = \
217 openbox/rc.xml \
218 openbox/menu.xml
219
220 pcmanfmdir = $(datadir)/lxde/pcmanfm
221 pcmanfm_DATA = \
222 pcmanfm/main.lxde
223
224 EXTRA_DIST = \
225 default \
226 autostart \
227 config \
228 LXDE.desktop.in \
229 startlxde.in \
230 $(wallpapers_DATA) \
231 $(images_DATA) \
232 icon-theme/COPYING \
233 icon-theme/AUTHORS \
234 openbox/rc.xml.in \
235 openbox/menu.xml \
236 openbox-lxde.in \
237 pcmanfm/main.lxde.in \
238 $(lxpanel_DATA) \
239 lxpanel/panel.in
240
241 CLEANFILES = $(bin_SCRIPTS)
242 all: config.h
243 $(MAKE) $(AM_MAKEFLAGS) all-recursive
244
245 .SUFFIXES:
246 am--refresh:
247 @:
248 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
249 @for dep in $?; do \
250 case '$(am__configure_deps)' in \
251 *$$dep*) \
252 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
253 cd $(srcdir) && $(AUTOMAKE) --gnu \
254 && exit 0; \
255 exit 1;; \
256 esac; \
257 done; \
258 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
259 cd $(top_srcdir) && \
260 $(AUTOMAKE) --gnu Makefile
261 .PRECIOUS: Makefile
262 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
263 @case '$?' in \
264 *config.status*) \
265 echo ' $(SHELL) ./config.status'; \
266 $(SHELL) ./config.status;; \
267 *) \
268 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
269 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
270 esac;
271
272 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
273 $(SHELL) ./config.status --recheck
274
275 $(top_srcdir)/configure: $(am__configure_deps)
276 cd $(srcdir) && $(AUTOCONF)
277 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
278 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
279
280 config.h: stamp-h1
281 @if test ! -f $@; then \
282 rm -f stamp-h1; \
283 $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
284 else :; fi
285
286 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
287 @rm -f stamp-h1
288 cd $(top_builddir) && $(SHELL) ./config.status config.h
289 $(srcdir)/config.h.in: $(am__configure_deps)
290 cd $(top_srcdir) && $(AUTOHEADER)
291 rm -f stamp-h1
292 touch $@
293
294 distclean-hdr:
295 -rm -f config.h stamp-h1
296 startlxde: $(top_builddir)/config.status $(srcdir)/startlxde.in
297 cd $(top_builddir) && $(SHELL) ./config.status $@
298 default: $(top_builddir)/config.status $(srcdir)/default.in
299 cd $(top_builddir) && $(SHELL) ./config.status $@
300 lxde-logout: $(top_builddir)/config.status $(srcdir)/lxde-logout.in
301 cd $(top_builddir) && $(SHELL) ./config.status $@
302 LXDE.desktop: $(top_builddir)/config.status $(srcdir)/LXDE.desktop.in
303 cd $(top_builddir) && $(SHELL) ./config.status $@
304 lxpanel/panel: $(top_builddir)/config.status $(top_srcdir)/lxpanel/panel.in
305 cd $(top_builddir) && $(SHELL) ./config.status $@
306 openbox/rc.xml: $(top_builddir)/config.status $(top_srcdir)/openbox/rc.xml.in
307 cd $(top_builddir) && $(SHELL) ./config.status $@
308 openbox-lxde: $(top_builddir)/config.status $(srcdir)/openbox-lxde.in
309 cd $(top_builddir) && $(SHELL) ./config.status $@
310 pcmanfm/main.lxde: $(top_builddir)/config.status $(top_srcdir)/pcmanfm/main.lxde.in
311 cd $(top_builddir) && $(SHELL) ./config.status $@
312 install-binSCRIPTS: $(bin_SCRIPTS)
313 @$(NORMAL_INSTALL)
314 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
315 @list='$(bin_SCRIPTS)'; for p in $$list; do \
316 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
317 if test -f $$d$$p; then \
318 f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
319 echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
320 $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
321 else :; fi; \
322 done
323
324 uninstall-binSCRIPTS:
325 @$(NORMAL_UNINSTALL)
326 @list='$(bin_SCRIPTS)'; for p in $$list; do \
327 f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
328 echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
329 rm -f "$(DESTDIR)$(bindir)/$$f"; \
330 done
331 install-defaultsDATA: $(defaults_DATA)
332 @$(NORMAL_INSTALL)
333 test -z "$(defaultsdir)" || $(MKDIR_P) "$(DESTDIR)$(defaultsdir)"
334 @list='$(defaults_DATA)'; for p in $$list; do \
335 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
336 f=$(am__strip_dir) \
337 echo " $(defaultsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(defaultsdir)/$$f'"; \
338 $(defaultsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(defaultsdir)/$$f"; \
339 done
340
341 uninstall-defaultsDATA:
342 @$(NORMAL_UNINSTALL)
343 @list='$(defaults_DATA)'; for p in $$list; do \
344 f=$(am__strip_dir) \
345 echo " rm -f '$(DESTDIR)$(defaultsdir)/$$f'"; \
346 rm -f "$(DESTDIR)$(defaultsdir)/$$f"; \
347 done
348 install-imagesDATA: $(images_DATA)
349 @$(NORMAL_INSTALL)
350 test -z "$(imagesdir)" || $(MKDIR_P) "$(DESTDIR)$(imagesdir)"
351 @list='$(images_DATA)'; for p in $$list; do \
352 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
353 f=$(am__strip_dir) \
354 echo " $(imagesDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(imagesdir)/$$f'"; \
355 $(imagesDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(imagesdir)/$$f"; \
356 done
357
358 uninstall-imagesDATA:
359 @$(NORMAL_UNINSTALL)
360 @list='$(images_DATA)'; for p in $$list; do \
361 f=$(am__strip_dir) \
362 echo " rm -f '$(DESTDIR)$(imagesdir)/$$f'"; \
363 rm -f "$(DESTDIR)$(imagesdir)/$$f"; \
364 done
365 install-lxpanelDATA: $(lxpanel_DATA)
366 @$(NORMAL_INSTALL)
367 test -z "$(lxpaneldir)" || $(MKDIR_P) "$(DESTDIR)$(lxpaneldir)"
368 @list='$(lxpanel_DATA)'; for p in $$list; do \
369 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
370 f=$(am__strip_dir) \
371 echo " $(lxpanelDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(lxpaneldir)/$$f'"; \
372 $(lxpanelDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(lxpaneldir)/$$f"; \
373 done
374
375 uninstall-lxpanelDATA:
376 @$(NORMAL_UNINSTALL)
377 @list='$(lxpanel_DATA)'; for p in $$list; do \
378 f=$(am__strip_dir) \
379 echo " rm -f '$(DESTDIR)$(lxpaneldir)/$$f'"; \
380 rm -f "$(DESTDIR)$(lxpaneldir)/$$f"; \
381 done
382 install-lxpanel_panelDATA: $(lxpanel_panel_DATA)
383 @$(NORMAL_INSTALL)
384 test -z "$(lxpanel_paneldir)" || $(MKDIR_P) "$(DESTDIR)$(lxpanel_paneldir)"
385 @list='$(lxpanel_panel_DATA)'; for p in $$list; do \
386 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
387 f=$(am__strip_dir) \
388 echo " $(lxpanel_panelDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(lxpanel_paneldir)/$$f'"; \
389 $(lxpanel_panelDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(lxpanel_paneldir)/$$f"; \
390 done
391
392 uninstall-lxpanel_panelDATA:
393 @$(NORMAL_UNINSTALL)
394 @list='$(lxpanel_panel_DATA)'; for p in $$list; do \
395 f=$(am__strip_dir) \
396 echo " rm -f '$(DESTDIR)$(lxpanel_paneldir)/$$f'"; \
397 rm -f "$(DESTDIR)$(lxpanel_paneldir)/$$f"; \
398 done
399 install-openboxDATA: $(openbox_DATA)
400 @$(NORMAL_INSTALL)
401 test -z "$(openboxdir)" || $(MKDIR_P) "$(DESTDIR)$(openboxdir)"
402 @list='$(openbox_DATA)'; for p in $$list; do \
403 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
404 f=$(am__strip_dir) \
405 echo " $(openboxDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(openboxdir)/$$f'"; \
406 $(openboxDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(openboxdir)/$$f"; \
407 done
408
409 uninstall-openboxDATA:
410 @$(NORMAL_UNINSTALL)
411 @list='$(openbox_DATA)'; for p in $$list; do \
412 f=$(am__strip_dir) \
413 echo " rm -f '$(DESTDIR)$(openboxdir)/$$f'"; \
414 rm -f "$(DESTDIR)$(openboxdir)/$$f"; \
415 done
416 install-pcmanfmDATA: $(pcmanfm_DATA)
417 @$(NORMAL_INSTALL)
418 test -z "$(pcmanfmdir)" || $(MKDIR_P) "$(DESTDIR)$(pcmanfmdir)"
419 @list='$(pcmanfm_DATA)'; for p in $$list; do \
420 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
421 f=$(am__strip_dir) \
422 echo " $(pcmanfmDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pcmanfmdir)/$$f'"; \
423 $(pcmanfmDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pcmanfmdir)/$$f"; \
424 done
425
426 uninstall-pcmanfmDATA:
427 @$(NORMAL_UNINSTALL)
428 @list='$(pcmanfm_DATA)'; for p in $$list; do \
429 f=$(am__strip_dir) \
430 echo " rm -f '$(DESTDIR)$(pcmanfmdir)/$$f'"; \
431 rm -f "$(DESTDIR)$(pcmanfmdir)/$$f"; \
432 done
433 install-wallpapersDATA: $(wallpapers_DATA)
434 @$(NORMAL_INSTALL)
435 test -z "$(wallpapersdir)" || $(MKDIR_P) "$(DESTDIR)$(wallpapersdir)"
436 @list='$(wallpapers_DATA)'; for p in $$list; do \
437 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
438 f=$(am__strip_dir) \
439 echo " $(wallpapersDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(wallpapersdir)/$$f'"; \
440 $(wallpapersDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(wallpapersdir)/$$f"; \
441 done
442
443 uninstall-wallpapersDATA:
444 @$(NORMAL_UNINSTALL)
445 @list='$(wallpapers_DATA)'; for p in $$list; do \
446 f=$(am__strip_dir) \
447 echo " rm -f '$(DESTDIR)$(wallpapersdir)/$$f'"; \
448 rm -f "$(DESTDIR)$(wallpapersdir)/$$f"; \
449 done
450 install-xsessionDATA: $(xsession_DATA)
451 @$(NORMAL_INSTALL)
452 test -z "$(xsessiondir)" || $(MKDIR_P) "$(DESTDIR)$(xsessiondir)"
453 @list='$(xsession_DATA)'; for p in $$list; do \
454 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
455 f=$(am__strip_dir) \
456 echo " $(xsessionDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(xsessiondir)/$$f'"; \
457 $(xsessionDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(xsessiondir)/$$f"; \
458 done
459
460 uninstall-xsessionDATA:
461 @$(NORMAL_UNINSTALL)
462 @list='$(xsession_DATA)'; for p in $$list; do \
463 f=$(am__strip_dir) \
464 echo " rm -f '$(DESTDIR)$(xsessiondir)/$$f'"; \
465 rm -f "$(DESTDIR)$(xsessiondir)/$$f"; \
466 done
467
468 # This directory's subdirectories are mostly independent; you can cd
469 # into them and run `make' without going through this Makefile.
470 # To change the values of `make' variables: instead of editing Makefiles,
471 # (1) if the variable is set in `config.status', edit `config.status'
472 # (which will cause the Makefiles to be regenerated when you run `make');
473 # (2) otherwise, pass the desired values on the `make' command line.
474 $(RECURSIVE_TARGETS):
475 @failcom='exit 1'; \
476 for f in x $$MAKEFLAGS; do \
477 case $$f in \
478 *=* | --[!k]*);; \
479 *k*) failcom='fail=yes';; \
480 esac; \
481 done; \
482 dot_seen=no; \
483 target=`echo $@ | sed s/-recursive//`; \
484 list='$(SUBDIRS)'; for subdir in $$list; do \
485 echo "Making $$target in $$subdir"; \
486 if test "$$subdir" = "."; then \
487 dot_seen=yes; \
488 local_target="$$target-am"; \
489 else \
490 local_target="$$target"; \
491 fi; \
492 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
493 || eval $$failcom; \
494 done; \
495 if test "$$dot_seen" = "no"; then \
496 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
497 fi; test -z "$$fail"
498
499 $(RECURSIVE_CLEAN_TARGETS):
500 @failcom='exit 1'; \
501 for f in x $$MAKEFLAGS; do \
502 case $$f in \
503 *=* | --[!k]*);; \
504 *k*) failcom='fail=yes';; \
505 esac; \
506 done; \
507 dot_seen=no; \
508 case "$@" in \
509 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
510 *) list='$(SUBDIRS)' ;; \
511 esac; \
512 rev=''; for subdir in $$list; do \
513 if test "$$subdir" = "."; then :; else \
514 rev="$$subdir $$rev"; \
515 fi; \
516 done; \
517 rev="$$rev ."; \
518 target=`echo $@ | sed s/-recursive//`; \
519 for subdir in $$rev; do \
520 echo "Making $$target in $$subdir"; \
521 if test "$$subdir" = "."; then \
522 local_target="$$target-am"; \
523 else \
524 local_target="$$target"; \
525 fi; \
526 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
527 || eval $$failcom; \
528 done && test -z "$$fail"
529 tags-recursive:
530 list='$(SUBDIRS)'; for subdir in $$list; do \
531 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
532 done
533 ctags-recursive:
534 list='$(SUBDIRS)'; for subdir in $$list; do \
535 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
536 done
537
538 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
539 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
540 unique=`for i in $$list; do \
541 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
542 done | \
543 $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
544 END { if (nonempty) { for (i in files) print i; }; }'`; \
545 mkid -fID $$unique
546 tags: TAGS
547
548 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
549 $(TAGS_FILES) $(LISP)
550 tags=; \
551 here=`pwd`; \
552 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
553 include_option=--etags-include; \
554 empty_fix=.; \
555 else \
556 include_option=--include; \
557 empty_fix=; \
558 fi; \
559 list='$(SUBDIRS)'; for subdir in $$list; do \
560 if test "$$subdir" = .; then :; else \
561 test ! -f $$subdir/TAGS || \
562 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
563 fi; \
564 done; \
565 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
566 unique=`for i in $$list; do \
567 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
568 done | \
569 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
570 END { if (nonempty) { for (i in files) print i; }; }'`; \
571 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
572 test -n "$$unique" || unique=$$empty_fix; \
573 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
574 $$tags $$unique; \
575 fi
576 ctags: CTAGS
577 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
578 $(TAGS_FILES) $(LISP)
579 tags=; \
580 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
581 unique=`for i in $$list; do \
582 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
583 done | \
584 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
585 END { if (nonempty) { for (i in files) print i; }; }'`; \
586 test -z "$(CTAGS_ARGS)$$tags$$unique" \
587 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
588 $$tags $$unique
589
590 GTAGS:
591 here=`$(am__cd) $(top_builddir) && pwd` \
592 && cd $(top_srcdir) \
593 && gtags -i $(GTAGS_ARGS) $$here
594
595 distclean-tags:
596 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
597
598 distdir: $(DISTFILES)
599 $(am__remove_distdir)
600 test -d $(distdir) || mkdir $(distdir)
601 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
602 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
603 list='$(DISTFILES)'; \
604 dist_files=`for file in $$list; do echo $$file; done | \
605 sed -e "s|^$$srcdirstrip/||;t" \
606 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
607 case $$dist_files in \
608 */*) $(MKDIR_P) `echo "$$dist_files" | \
609 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
610 sort -u` ;; \
611 esac; \
612 for file in $$dist_files; do \
613 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
614 if test -d $$d/$$file; then \
615 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
616 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
617 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
618 fi; \
619 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
620 else \
621 test -f $(distdir)/$$file \
622 || cp -p $$d/$$file $(distdir)/$$file \
623 || exit 1; \
624 fi; \
625 done
626 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
627 if test "$$subdir" = .; then :; else \
628 test -d "$(distdir)/$$subdir" \
629 || $(MKDIR_P) "$(distdir)/$$subdir" \
630 || exit 1; \
631 distdir=`$(am__cd) $(distdir) && pwd`; \
632 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
633 (cd $$subdir && \
634 $(MAKE) $(AM_MAKEFLAGS) \
635 top_distdir="$$top_distdir" \
636 distdir="$$distdir/$$subdir" \
637 am__remove_distdir=: \
638 am__skip_length_check=: \
639 distdir) \
640 || exit 1; \
641 fi; \
642 done
643 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
644 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
645 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
646 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
647 || chmod -R a+r $(distdir)
648 dist-gzip: distdir
649 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
650 $(am__remove_distdir)
651 dist-bzip2: distdir
652 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
653 $(am__remove_distdir)
654
655 dist-lzma: distdir
656 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
657 $(am__remove_distdir)
658
659 dist-tarZ: distdir
660 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
661 $(am__remove_distdir)
662
663 dist-shar: distdir
664 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
665 $(am__remove_distdir)
666
667 dist-zip: distdir
668 -rm -f $(distdir).zip
669 zip -rq $(distdir).zip $(distdir)
670 $(am__remove_distdir)
671
672 dist dist-all: distdir
673 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
674 $(am__remove_distdir)
675
676 # This target untars the dist file and tries a VPATH configuration. Then
677 # it guarantees that the distribution is self-contained by making another
678 # tarfile.
679 distcheck: dist
680 case '$(DIST_ARCHIVES)' in \
681 *.tar.gz*) \
682 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
683 *.tar.bz2*) \
684 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
685 *.tar.lzma*) \
686 unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
687 *.tar.Z*) \
688 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
689 *.shar.gz*) \
690 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
691 *.zip*) \
692 unzip $(distdir).zip ;;\
693 esac
694 chmod -R a-w $(distdir); chmod a+w $(distdir)
695 mkdir $(distdir)/_build
696 mkdir $(distdir)/_inst
697 chmod a-w $(distdir)
698 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
699 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
700 && cd $(distdir)/_build \
701 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
702 $(DISTCHECK_CONFIGURE_FLAGS) \
703 && $(MAKE) $(AM_MAKEFLAGS) \
704 && $(MAKE) $(AM_MAKEFLAGS) dvi \
705 && $(MAKE) $(AM_MAKEFLAGS) check \
706 && $(MAKE) $(AM_MAKEFLAGS) install \
707 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
708 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
709 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
710 distuninstallcheck \
711 && chmod -R a-w "$$dc_install_base" \
712 && ({ \
713 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
714 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
715 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
716 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
717 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
718 } || { rm -rf "$$dc_destdir"; exit 1; }) \
719 && rm -rf "$$dc_destdir" \
720 && $(MAKE) $(AM_MAKEFLAGS) dist \
721 && rm -rf $(DIST_ARCHIVES) \
722 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
723 $(am__remove_distdir)
724 @(echo "$(distdir) archives ready for distribution: "; \
725 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
726 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
727 distuninstallcheck:
728 @cd $(distuninstallcheck_dir) \
729 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
730 || { echo "ERROR: files left after uninstall:" ; \
731 if test -n "$(DESTDIR)"; then \
732 echo " (check DESTDIR support)"; \
733 fi ; \
734 $(distuninstallcheck_listfiles) ; \
735 exit 1; } >&2
736 distcleancheck: distclean
737 @if test '$(srcdir)' = . ; then \
738 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
739 exit 1 ; \
740 fi
741 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
742 || { echo "ERROR: files left in build directory after distclean:" ; \
743 $(distcleancheck_listfiles) ; \
744 exit 1; } >&2
745 check-am: all-am
746 check: check-recursive
747 all-am: Makefile $(SCRIPTS) $(DATA) config.h
748 installdirs: installdirs-recursive
749 installdirs-am:
750 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" "$(DESTDIR)$(xsessiondir)"; do \
751 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
752 done
753 install: install-recursive
754 install-exec: install-exec-recursive
755 install-data: install-data-recursive
756 uninstall: uninstall-recursive
757
758 install-am: all-am
759 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
760
761 installcheck: installcheck-recursive
762 install-strip:
763 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
764 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
765 `test -z '$(STRIP)' || \
766 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
767 mostlyclean-generic:
768
769 clean-generic:
770 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
771
772 distclean-generic:
773 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
774
775 maintainer-clean-generic:
776 @echo "This command is intended for maintainers to use"
777 @echo "it deletes files that may require special tools to rebuild."
778 clean: clean-recursive
779
780 clean-am: clean-generic mostlyclean-am
781
782 distclean: distclean-recursive
783 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
784 -rm -f Makefile
785 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
786
787 dvi: dvi-recursive
788
789 dvi-am:
790
791 html: html-recursive
792
793 info: info-recursive
794
795 info-am:
796
797 install-data-am: install-defaultsDATA install-imagesDATA \
798 install-lxpanelDATA install-lxpanel_panelDATA \
799 install-openboxDATA install-pcmanfmDATA install-wallpapersDATA \
800 install-xsessionDATA
801
802 install-dvi: install-dvi-recursive
803
804 install-exec-am: install-binSCRIPTS
805
806 install-html: install-html-recursive
807
808 install-info: install-info-recursive
809
810 install-man:
811
812 install-pdf: install-pdf-recursive
813
814 install-ps: install-ps-recursive
815
816 installcheck-am:
817
818 maintainer-clean: maintainer-clean-recursive
819 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
820 -rm -rf $(top_srcdir)/autom4te.cache
821 -rm -f Makefile
822 maintainer-clean-am: distclean-am maintainer-clean-generic
823
824 mostlyclean: mostlyclean-recursive
825
826 mostlyclean-am: mostlyclean-generic
827
828 pdf: pdf-recursive
829
830 pdf-am:
831
832 ps: ps-recursive
833
834 ps-am:
835
836 uninstall-am: uninstall-binSCRIPTS uninstall-defaultsDATA \
837 uninstall-imagesDATA uninstall-lxpanelDATA \
838 uninstall-lxpanel_panelDATA uninstall-openboxDATA \
839 uninstall-pcmanfmDATA uninstall-wallpapersDATA \
840 uninstall-xsessionDATA
841
842 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
843 install-strip
844
845 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
846 all all-am am--refresh check check-am clean clean-generic \
847 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
848 dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
849 distclean-generic distclean-hdr distclean-tags distcleancheck \
850 distdir distuninstallcheck dvi dvi-am html html-am info \
851 info-am install install-am install-binSCRIPTS install-data \
852 install-data-am install-defaultsDATA install-dvi \
853 install-dvi-am install-exec install-exec-am install-html \
854 install-html-am install-imagesDATA install-info \
855 install-info-am install-lxpanelDATA install-lxpanel_panelDATA \
856 install-man install-openboxDATA install-pcmanfmDATA \
857 install-pdf install-pdf-am install-ps install-ps-am \
858 install-strip install-wallpapersDATA install-xsessionDATA \
859 installcheck installcheck-am installdirs installdirs-am \
860 maintainer-clean maintainer-clean-generic mostlyclean \
861 mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
862 uninstall uninstall-am uninstall-binSCRIPTS \
863 uninstall-defaultsDATA uninstall-imagesDATA \
864 uninstall-lxpanelDATA uninstall-lxpanel_panelDATA \
865 uninstall-openboxDATA uninstall-pcmanfmDATA \
866 uninstall-wallpapersDATA uninstall-xsessionDATA
867
868 # Tell versions [3.59,3.63) of GNU make to not export all variables.
869 # Otherwise a system limit (for SysV at least) may be exceeded.
870 .NOEXPORT: